Upstream information

CVE-2014-2583 at MITRE

Description

Multiple directory traversal vulnerabilities in pam_timestamp.c in the pam_timestamp module for Linux-PAM (aka pam) 1.1.8 allow local users to create arbitrary files or possibly bypass authentication via a .. (dot dot) in the (1) PAM_RUSER value to the get_ruser function or (2) PAM_TTY value to the check_tty function, which is used by the format_timestamp_name function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 870433 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • pam >= 1.1.5-0.12.1
  • pam-32bit >= 1.1.5-0.12.1
  • pam-doc >= 1.1.5-0.12.1
Patchnames:
sledsp3-pam
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
  • pam >= 1.1.8-14.1
  • pam-32bit >= 1.1.8-14.1
  • pam-doc >= 1.1.8-14.1
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
  • pam >= 1.1.8-23.1
  • pam-32bit >= 1.1.8-23.1
  • pam-doc >= 1.1.8-23.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • pam >= 1.1.8-24.14.1
  • pam-32bit >= 1.1.8-24.14.1
  • pam-doc >= 1.1.8-24.14.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
  • pam >= 1.1.8-11.57
  • pam-32bit >= 1.1.8-11.57
  • pam-doc >= 1.1.8-11.57
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • pam >= 1.1.8-24.27.1
  • pam-32bit >= 1.1.8-24.27.1
  • pam-doc >= 1.1.8-24.27.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • pam >= 1.3.0-6.6.1
  • pam-32bit >= 1.3.0-6.6.1
  • pam-devel >= 1.3.0-6.6.1
  • pam-doc >= 1.3.0-6.6.1
SUSE Linux Enterprise Module for Basesystem 15
  • pam >= 1.3.0-4.10
  • pam-32bit >= 1.3.0-4.10
  • pam-devel >= 1.3.0-4.10
  • pam-doc >= 1.3.0-4.10
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • pam-devel-32bit >= 1.3.0-6.6.1
SUSE Linux Enterprise Module for Development Tools 15
  • pam-devel-32bit >= 1.3.0-4.10
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • pam >= 1.1.5-0.12.1
  • pam-32bit >= 1.1.5-0.12.1
  • pam-doc >= 1.1.5-0.12.1
  • pam-x86 >= 1.1.5-0.12.1
Patchnames:
slessp3-pam
SUSE Linux Enterprise Server 11 SP4
  • pam >= 1.1.5-0.15.9
  • pam-32bit >= 1.1.5-0.15.9
  • pam-doc >= 1.1.5-0.15.9
  • pam-x86 >= 1.1.5-0.15.9
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • pam >= 1.1.8-14.1
  • pam-doc >= 1.1.8-14.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • pam-devel >= 1.1.5-0.12.1
  • pam-devel-32bit >= 1.1.5-0.12.1
Patchnames:
sdksp3-pam
SUSE Linux Enterprise Software Development Kit 11 SP4
  • pam-devel >= 1.1.5-0.15.9
  • pam-devel-32bit >= 1.1.5-0.15.9
SUSE Linux Enterprise Software Development Kit 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • pam-devel >= 1.1.8-14.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • pam-devel >= 1.1.8-23.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • pam-devel >= 1.1.8-24.14.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • pam-devel >= 1.1.8-24.27.1
SUSE Linux Enterprise Software Development Kit 12
  • pam-devel >= 1.1.8-11.57
openSUSE Leap 15.0
  • pam >= 1.3.0-lp150.4.6
  • pam-32bit >= 1.3.0-lp150.4.6
Patchnames:
openSUSE Leap 15.0 GA pam-1.3.0-lp150.4.6
openSUSE Tumbleweed
  • pam >= 1.3.0-3.4
  • pam-32bit >= 1.3.0-3.4
  • pam-devel >= 1.3.0-3.4
  • pam-devel-32bit >= 1.3.0-3.4
  • pam-doc >= 1.3.0-3.4
Patchnames:
openSUSE Tumbleweed GA pam-1.3.0-3.4


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 pam Already fixed
SUSE Linux Enterprise Desktop 11 SP3 pam Released
SUSE Linux Enterprise High Performance Computing 12 SP5 pam Already fixed
SUSE Linux Enterprise Server 11 SP3 pam Released
SUSE Linux Enterprise Server 11 SP3 for VMware pam Released
SUSE Linux Enterprise Server 12 SP2 BCL pam Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON pam Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS SAP pam Already fixed
SUSE Linux Enterprise Server 12 SP3 BCL pam Already fixed
SUSE Linux Enterprise Server 12 SP3 ESPOS pam Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS pam Already fixed
SUSE Linux Enterprise Server 12 SP4 ESPOS pam Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS pam Already fixed
SUSE Linux Enterprise Server 12 SP5 pam Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 pam Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 pam Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 pam Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP3 pam Released
SUSE OpenStack Cloud 8 pam Already fixed
SUSE OpenStack Cloud 9 pam Already fixed
SUSE OpenStack Cloud Crowbar 8 pam Already fixed
SUSE OpenStack Cloud Crowbar 9 pam Already fixed